stages:
  - Login
  - Build
  - Push
  - Logout

variables:
  CONTAINER_TEST_IMAGE: $CI_REGISTRY_IMAGE:1.0

login_job:
  stage: Login
  tags:
    - mahadev
  script:
    - docker login -u $CI_REGISTRY_USER -p $CI_REGISTRY_PASSWORD $CI_REGISTRY
    

build_job:
  stage: Build
  tags:
    - mahadev
  script:
    - docker build -t $CONTAINER_TEST_IMAGE .
    
push_job:
  stage: Push
  tags:
    - mahadev
  script:
    - docker push $CONTAINER_TEST_IMAGE

logout_job:
  stage: Logout
  tags:
    - mahadev
  script:
    - docker logout $CI_REGISTRY 
